html {
  position: relative;
  min-height: 100%;
}

html,
body {
  // font-size: 16px;
  // height: 100%;
  // font-weight: 400;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-style: normal;

  @include media-breakpoint-down(xs) {
    font-size: $font-size-sm;
  }
}

* {
  -webkit-backface-visibility: hidden;
}

body:not(.template-index) {
  padding-top: calc(#{$header-height} + 25px);
}

.main::-moz-selection {
  color: $gray-900;
  background: $yellow;
}

.main::selection {
  color: $gray-900;
  background: $yellow;
}

a,
input[type='submit'],
button,
.btn,
label,
input[type='text'],
input[type='password'],
select,
textarea,
.form-control {
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -ms-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}

a {
  &:focus {
    outline: none;
  }
}

a.link,
section.content a:not(.btn) {
  color: $orange;

  &:hover {
    text-decoration: underline;
  }
}

// button {
//   @extend .prelo-book;
// }

// input,
// optgroup,
// select,
// textarea {
//   // @extend .lato;
// }

textarea {
  resize: none;
}

b,
strong {
  @extend .avenir-bold;
}

// REWRITE BOOTSTRAP
textarea:hover,
input:hover,
textarea:active,
input:active,
textarea:focus,
input:focus,
button:focus,
button:active,
button:hover,
label:focus,
.btn:active,
.btn.active {
  outline: 0px !important;
  // -webkit-appearance: none;
}

label {
  font-weight: bold;
  margin-bottom: 3px;
  @extend .small;
}

.container {
  max-width: 1440px;
  width: 100%;
}

.main-wrapper {
  padding-bottom: calc(#{$footer-height} + 150px);
  max-width: 1440px;
  padding-left: 30px;
  padding-right: 30px;
}

.page-width,
.sheet {
  padding-left: 15px;
}

.page-title {
  letter-spacing: 0.05rem;
}

.ls-5 {
  letter-spacing: 0.15rem;
}

.text-gray {
  color: $gray-500;
}